diff --git a/src/odbc/unittests/t0003.c b/src/odbc/unittests/t0003.c
index 2a0e9f5..4aef303 100644
--- a/src/odbc/unittests/t0003.c
+++ b/src/odbc/unittests/t0003.c
@@ -2,17 +2,17 @@
 
 /* Test for SQLMoreResults */
 
-static char software_version[] = "$Id: t0003.c,v 1.19 2008/11/04 14:46:18 freddy77 Exp $";
+static char software_version[] = "$Id: t0003.c,v 1.20 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void
 DoTest(int prepared)
 {
-	Command("create table #odbctestdata (i int)");
+	odbc_command("create table #odbctestdata (i int)");
 
 	/* test that 2 empty result set are returned correctly */
 	if (!prepared) {
-		Command("select * from #odbctestdata select * from #odbctestdata");
+		odbc_command("select * from #odbctestdata select * from #odbctestdata");
 	} else {
 		CHKPrepare((SQLCHAR *)"select * from #odbctestdata select * from #odbctestdata", SQL_NTS, "S");
 		CHKExecute("S");
@@ -28,9 +28,9 @@ DoTest(int prepared)
 	CHKMoreResults("No");
 
 	/* test that skipping a no empty result go to other result set */
-	Command("insert into #odbctestdata values(123)");
+	odbc_command("insert into #odbctestdata values(123)");
 	if (!prepared) {
-		Command("select * from #odbctestdata select * from #odbctestdata");
+		odbc_command("select * from #odbctestdata select * from #odbctestdata");
 	} else {
 		CHKPrepare((SQLCHAR *)"select * from #odbctestdata select * from #odbctestdata", SQL_NTS, "S");
 		CHKExecute("S");
@@ -45,18 +45,18 @@ DoTest(int prepared)
 
 	CHKMoreResults("No");
 
-	Command("drop table #odbctestdata");
+	odbc_command("drop table #odbctestdata");
 }
 
 int
 main(int argc, char *argv[])
 {
-	Connect();
+	odbc_connect();
 
 	DoTest(0);
 	DoTest(1);
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return 0;
diff --git a/src/odbc/unittests/t0004.c b/src/odbc/unittests/t0004.c
index 2a4093d..6f6cc7b 100644
--- a/src/odbc/unittests/t0004.c
+++ b/src/odbc/unittests/t0004.c
@@ -2,7 +2,7 @@
 
 /* Test for SQLMoreResults */
 
-static char software_version[] = "$Id: t0004.c,v 1.17 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: t0004.c,v 1.18 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void
@@ -41,12 +41,12 @@ Test(int use_indicator)
 int
 main(int argc, char *argv[])
 {
-	Connect();
+	odbc_connect();
 
 	Test(1);
 	Test(0);
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return 0;
diff --git a/src/odbc/unittests/tables.c b/src/odbc/unittests/tables.c
index 47c7251..3d6c293 100644
--- a/src/odbc/unittests/tables.c
+++ b/src/odbc/unittests/tables.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: tables.c,v 1.18 2010/01/10 14:43:11 freddy77 Exp $";
+static char software_version[] = "$Id: tables.c,v 1.19 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #ifdef _WIN32
@@ -40,7 +40,7 @@ TestName(int index, const char *expected_name)
 
 	/* retrieve with SQLColAttribute */
 	CHKColAttribute(index, SQL_DESC_NAME, name, sizeof(name), &len, NULL, "S");
-	if (db_is_microsoft())
+	if (odbc_db_is_microsoft())
 		NAME_TEST;
 	CHKColAttribute(index, SQL_DESC_LABEL, name, sizeof(name), &len, NULL, "S");
 	NAME_TEST;
@@ -72,8 +72,8 @@ DoTest(const char *type, int row_returned)
 	CHKTables((SQLCHAR *) catalog, LEN(catalog), (SQLCHAR *) schema, LEN(schema), (SQLCHAR *) table_buf, table_len, (SQLCHAR *) type, LEN(type), "SI");
 
 	/* test column name (for DBD::ODBC) */
-	TestName(1, use_odbc_version3 || !driver_is_freetds() ? "TABLE_CAT" : "TABLE_QUALIFIER");
-	TestName(2, use_odbc_version3 || !driver_is_freetds() ? "TABLE_SCHEM" : "TABLE_OWNER");
+	TestName(1, odbc_use_version3 || !odbc_driver_is_freetds() ? "TABLE_CAT" : "TABLE_QUALIFIER");
+	TestName(2, odbc_use_version3 || !odbc_driver_is_freetds() ? "TABLE_SCHEM" : "TABLE_OWNER");
 	TestName(3, "TABLE_NAME");
 	TestName(4, "TABLE_TYPE");
 	TestName(5, "REMARKS");
@@ -131,13 +131,13 @@ main(int argc, char *argv[])
 	char type[32];
 	int mssql2005 = 0;
 
-	use_odbc_version3 = 0;
-	Connect();
+	odbc_use_version3 = 0;
+	odbc_connect();
 
-	if (db_is_microsoft() && db_version_int() >= 0x09000000u) {
+	if (odbc_db_is_microsoft() && odbc_db_version_int() >= 0x09000000u) {
 		mssql2005 = 1;
 		strcpy(expected_type, "VIEW");
-		CommandWithResult(Statement, "USE master");
+		odbc_command_with_result(odbc_stmt, "USE master");
 	}
 
 	DoTest(NULL, 1);
@@ -151,19 +151,19 @@ main(int argc, char *argv[])
 	sprintf(type, "TABLE,'%s'", expected_type);
 	DoTest(type, 1);
 
-	Disconnect();
+	odbc_disconnect();
 
 
-	use_odbc_version3 = 1;
-	Connect();
+	odbc_use_version3 = 1;
+	odbc_connect();
 
 	if (mssql2005)
-		CommandWithResult(Statement, "USE master");
+		odbc_command_with_result(odbc_stmt, "USE master");
 
 	sprintf(type, "'%s'", expected_type);
 	DoTest(type, 1);
 	/* TODO this should work even for Sybase and mssql 2005 */
-	if (db_is_microsoft()) {
+	if (odbc_db_is_microsoft()) {
 		/* here table is a name of table */
 		catalog = "%";
 		schema = NULL;
@@ -197,7 +197,7 @@ main(int argc, char *argv[])
 	expect_col = 2;
 	DoTest(NULL, 2);
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return 0;
diff --git a/src/odbc/unittests/test64.c b/src/odbc/unittests/test64.c
index 89b4623..4df9ad4 100644
--- a/src/odbc/unittests/test64.c
+++ b/src/odbc/unittests/test64.c
@@ -1,7 +1,7 @@
 /* test win64 consistency */
 #include "common.h"
 
-static char software_version[] = "$Id: test64.c,v 1.9 2010/01/09 19:05:07 freddy77 Exp $";
+static char software_version[] = "$Id: test64.c,v 1.10 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 /*
@@ -91,7 +91,7 @@ test_params(void)
 
 	/* now see results */
 	for (p = param_set; *p != NULL; ++p) {
-		ResetStatement();
+		odbc_reset_statement();
 		len = 0xdeadbeef;
 		len <<= 16;
 		len <<= 16;
@@ -103,10 +103,10 @@ test_params(void)
 		CHKSetStmtAttr(SQL_ATTR_PARAMSET_SIZE, (void *) int2ptr(ARRAY_SIZE), 0, "S");
 		CHKBindParameter(1, SQL_PARAM_INPUT, SQL_C_ULONG, SQL_INTEGER, 5, 0, ids, 0, id_lens, "S");
 
-		Command("INSERT INTO #tmp1(i) VALUES(?)");
-		SQLMoreResults(Statement);
+		odbc_command("INSERT INTO #tmp1(i) VALUES(?)");
+		SQLMoreResults(odbc_stmt);
 		for (n = 0; n < ARRAY_SIZE; ++n)
-			SQLMoreResults(Statement);
+			SQLMoreResults(odbc_stmt);
 		l = len;
 		len >>= 16;
 		h = len >> 16;
@@ -198,7 +198,7 @@ test_rows(void)
 	for (p = row_set; ; ++p) {
 		const char *test_name = NULL;
 
-		ResetStatement();
+		odbc_reset_statement();
 		len = 0xdeadbeef;
 		len <<= 16;
 		len <<= 16;
@@ -214,16 +214,16 @@ test_rows(void)
 		if (*p) {
 			CHKSetStmtAttr(SQL_ATTR_ROW_ARRAY_SIZE, (void *) int2ptr(ARRAY_SIZE), 0, "S");
 
-			Command("SELECT DISTINCT i FROM #tmp1");
-			SQLFetch(Statement);
+			odbc_command("SELECT DISTINCT i FROM #tmp1");
+			SQLFetch(odbc_stmt);
 			test_name = "SQLSetStmtAttr";
 		} else {
 			CHKSetStmtAttr(SQL_ROWSET_SIZE, (void *) int2ptr(ARRAY_SIZE), 0, "S");
-			Command("SELECT DISTINCT i FROM #tmp1");
+			odbc_command("SELECT DISTINCT i FROM #tmp1");
 			CHKExtendedFetch(SQL_FETCH_NEXT, 0, &len, NULL, "S");
 			test_name = "SQLExtendedFetch";
 		}
-		SQLMoreResults(Statement);
+		SQLMoreResults(odbc_stmt);
 
 		l = len;
 		len >>= 16;
@@ -250,15 +250,15 @@ main(void)
 		return 0;
 	}
 
-	use_odbc_version3 = 1;
-	Connect();
+	odbc_use_version3 = 1;
+	odbc_connect();
 
-	Command("create table #tmp1 (i int)");
+	odbc_command("create table #tmp1 (i int)");
 
 	test_params();
 	test_rows();
 
-	Disconnect();
+	odbc_disconnect();
 	return 0;
 }
 
diff --git a/src/odbc/unittests/testodbc.c b/src/odbc/unittests/testodbc.c
index 6b80e8e..d5873e3 100644
--- a/src/odbc/unittests/testodbc.c
+++ b/src/odbc/unittests/testodbc.c
@@ -10,7 +10,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: testodbc.c,v 1.14 2008/11/04 14:46:18 freddy77 Exp $";
+static char software_version[] = "$Id: testodbc.c,v 1.15 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #ifdef DEBUG
@@ -51,11 +51,11 @@ TestRawODBCPreparedQuery(void)
 
 	/* INIT */
 
-	Connect();
+	odbc_connect();
 
 	/* MAKE QUERY */
 
-	Command("CREATE TABLE #Products ("
+	odbc_command("CREATE TABLE #Products ("
 		"ProductID int NOT NULL ,"
 		"ProductName varchar (40) ,"
 		"SupplierID int NULL ,"
@@ -72,7 +72,7 @@ TestRawODBCPreparedQuery(void)
 		"INSERT INTO #Products(ProductID,ProductName,SupplierID,CategoryID,QuantityPerUnit,UnitPrice,UnitsInStock,UnitsOnOrder,ReorderLevel,Discontinued) VALUES(74,'Longlife Tofu',4,7,'5 kg pkg.',10.00,4,20,5,0) "
 		"INSERT INTO #Products(ProductID,ProductName,SupplierID,CategoryID,QuantityPerUnit,UnitPrice,UnitsInStock,UnitsOnOrder,ReorderLevel,Discontinued) VALUES(11,'Queso Cabrales',5,4,'1 kg pkg.',21.00,22,30,30,0) "
 		"INSERT INTO #Products(ProductID,ProductName,SupplierID,CategoryID,QuantityPerUnit,UnitPrice,UnitsInStock,UnitsOnOrder,ReorderLevel,Discontinued) VALUES(12,'Queso Manchego La Pastora',5,4,'10 - 500 g pkgs.',38.00,86,0,0,0)");
-	while (SQLMoreResults(Statement) == SQL_SUCCESS);
+	while (SQLMoreResults(odbc_stmt) == SQL_SUCCESS);
 
 	queryString = (SQLCHAR *) "SELECT * FROM #Products WHERE SupplierID = ?";
 
@@ -84,7 +84,7 @@ TestRawODBCPreparedQuery(void)
 
 	count = 0;
 
-	while (SQLFetch(Statement) == SQL_SUCCESS) {
+	while (SQLFetch(odbc_stmt) == SQL_SUCCESS) {
 		count++;
 	}
 	AB_PRINT(("Got %d rows", count));
@@ -101,7 +101,7 @@ TestRawODBCPreparedQuery(void)
 
 	/* CLOSEDOWN */
 
-	Disconnect();
+	odbc_disconnect();
 
 	AB_FUNCT(("TestRawODBCPreparedQuery (out): ok"));
 	return TRUE;
@@ -121,11 +121,11 @@ TestRawODBCDirectQuery(void)
 
 	/* INIT */
 
-	Connect();
+	odbc_connect();
 
 	/* MAKE QUERY */
 
-	Command("CREATE TABLE #Products ("
+	odbc_command("CREATE TABLE #Products ("
 		"ProductID int NOT NULL ,"
 		"ProductName varchar (40) ,"
 		"SupplierID int NULL ,"
@@ -142,7 +142,7 @@ TestRawODBCDirectQuery(void)
 		"INSERT INTO #Products(ProductID,ProductName,SupplierID,CategoryID,QuantityPerUnit,UnitPrice,UnitsInStock,UnitsOnOrder,ReorderLevel,Discontinued) VALUES(3,'Aniseed Syrup',1,2,'12 - 550 ml bottles',10.00,13,70,25,0) "
 		"INSERT INTO #Products(ProductID,ProductName,SupplierID,CategoryID,QuantityPerUnit,UnitPrice,UnitsInStock,UnitsOnOrder,ReorderLevel,Discontinued) VALUES(4,'Chef Anton''s Cajun Seasoning',2,2,'48 - 6 oz jars',22.00,53,0,0,0) "
 		"INSERT INTO #Products(ProductID,ProductName,SupplierID,CategoryID,QuantityPerUnit,UnitPrice,UnitsInStock,UnitsOnOrder,ReorderLevel,Discontinued) VALUES(5,'Chef Anton''s Gumbo Mix',2,2,'36 boxes',21.35,0,0,0,1) ");
-	while (SQLMoreResults(Statement) == SQL_SUCCESS);
+	while (SQLMoreResults(odbc_stmt) == SQL_SUCCESS);
 
 	CHKBindParameter(1, SQL_PARAM_INPUT, SQL_C_SSHORT, SQL_INTEGER, 0, 0, &supplierId, 0, &lenOrInd, "S");
 
@@ -150,7 +150,7 @@ TestRawODBCDirectQuery(void)
 
 	count = 0;
 
-	while (SQLFetch(Statement) == SQL_SUCCESS) {
+	while (SQLFetch(odbc_stmt) == SQL_SUCCESS) {
 		count++;
 	}
 	AB_PRINT(("Got %d rows", count));
@@ -167,7 +167,7 @@ TestRawODBCDirectQuery(void)
 
 	/* CLOSEDOWN */
 
-	Disconnect();
+	odbc_disconnect();
 
 	AB_FUNCT(("TestRawODBCDirectQuery (out): ok"));
 	return TRUE;
@@ -193,10 +193,10 @@ TestRawODBCGuid(void)
 
 	AB_FUNCT(("TestRawODBCGuid (in)"));
 
-	Connect();
+	odbc_connect();
 	
-	if (!db_is_microsoft()) {
-		Disconnect();
+	if (!odbc_db_is_microsoft()) {
+		odbc_disconnect();
 		return TRUE;
 	}
 
@@ -206,7 +206,7 @@ TestRawODBCGuid(void)
 	       "species VARCHAR(20), sex CHAR(1), age INTEGER, " "guid UNIQUEIDENTIFIER DEFAULT NEWID() ); ";
 	CHKExecDirect(queryString, SQL_NTS, "SNo");
 
-	CommandWithResult(Statement, "DROP PROC GetGUIDRows");
+	odbc_command_with_result(odbc_stmt, "DROP PROC GetGUIDRows");
 
 	AB_PRINT(("Creating stored proc GetGUIDRows"));
 
@@ -285,7 +285,7 @@ TestRawODBCGuid(void)
 	strcpy((char *) (guid), "1234abcd-abcd-abcd-abcd-123456789abc");
 
 	CHKBindParameter(1, SQL_PARAM_INPUT, SQL_C_GUID, SQL_GUID, 16, 0, &sqlguid, 16, &lenOrInd, "S");
-	status = SQLExecDirect(Statement, queryString, SQL_NTS);
+	status = SQLExecDirect(odbc_stmt, queryString, SQL_NTS);
 	if (status != SQL_SUCCESS) {
 		AB_ERROR(("Insert row 5 failed"));
 		AB_ERROR(("Sadly this was expected in *nix ODBC. Carry on."));
@@ -297,7 +297,7 @@ TestRawODBCGuid(void)
 	AB_PRINT(("retrieving name and guid"));
 	queryString = (SQLCHAR *) "SELECT name, guid FROM #pet";
 	CHKExecDirect(queryString, SQL_NTS, "S");
-	while (SQLFetch(Statement) == SQL_SUCCESS) {
+	while (SQLFetch(odbc_stmt) == SQL_SUCCESS) {
 		count++;
 		CHKGetData(1, SQL_CHAR, name, 20, 0, "S");
 		CHKGetData(2, SQL_CHAR, guid, 37, 0, "S");
@@ -309,7 +309,7 @@ TestRawODBCGuid(void)
 	 * Realloc cursor handle - (Windows ODBC considers it an invalid cursor
 	 * state if we try SELECT again).
 	 */
-	ResetStatement();
+	odbc_reset_statement();
 
 
 	/*
@@ -336,7 +336,7 @@ TestRawODBCGuid(void)
 	 * Realloc cursor handle - (Windows ODBC considers it an invalid cursor
 	 * state if we try SELECT again).
 	 */
-	ResetStatement();
+	odbc_reset_statement();
 
 	/*
 	 * Now retrieve rows via stored procedure passing GUID as param.
@@ -349,7 +349,7 @@ TestRawODBCGuid(void)
 
 	CHKBindParameter(1, SQL_PARAM_INPUT, SQL_C_CHAR, SQL_GUID, 0, 0, guid, 0, &lenOrInd, "S");
 	CHKExecDirect(queryString, SQL_NTS, "S");
-	while (SQLFetch(Statement) == SQL_SUCCESS) {
+	while (SQLFetch(odbc_stmt) == SQL_SUCCESS) {
 		count++;
 		CHKGetData(1, SQL_CHAR, name, 20, 0, "S");
 		CHKGetData(2, SQL_CHAR, guid, 37, 0, "S");
@@ -361,14 +361,14 @@ TestRawODBCGuid(void)
 	 * Realloc cursor handle - (Windows ODBC considers it an invalid cursor
 	 * state after a previous SELECT has occurred).
 	 */
-	ResetStatement();
+	odbc_reset_statement();
 
 	/* cleanup */
-	CommandWithResult(Statement, "DROP PROC GetGUIDRows");
+	odbc_command_with_result(odbc_stmt, "DROP PROC GetGUIDRows");
 
 	/* CLOSEDOWN */
 
-	Disconnect();
+	odbc_disconnect();
 
 	AB_FUNCT(("TestRawODBCGuid (out): ok"));
 	return TRUE;
@@ -426,7 +426,7 @@ RunTests(void)
 int
 main(int argc, char *argv[])
 {
-	use_odbc_version3 = 1;
+	odbc_use_version3 = 1;
 
 	if (RunTests())
 		return 0;	/* Success */
diff --git a/src/odbc/unittests/timeout.c b/src/odbc/unittests/timeout.c
index 230c89a..349d166 100644
--- a/src/odbc/unittests/timeout.c
+++ b/src/odbc/unittests/timeout.c
@@ -3,7 +3,7 @@
 
 /* Test timeout of query */
 
-static char software_version[] = "$Id: timeout.c,v 1.12 2008/12/03 12:55:52 freddy77 Exp $";
+static char software_version[] = "$Id: timeout.c,v 1.13 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void
@@ -15,7 +15,7 @@ AutoCommit(int onoff)
 static void
 EndTransaction(SQLSMALLINT type)
 {
-	CHKEndTran(SQL_HANDLE_DBC, Connection, type, "S");
+	CHKEndTran(SQL_HANDLE_DBC, odbc_conn, type, "S");
 }
 
 int
@@ -26,27 +26,27 @@ main(int argc, char *argv[])
 	HSTMT stmt;
 	SQLINTEGER i;
 
-	Connect();
+	odbc_connect();
 
 	/* here we can't use temporary table cause we use two connection */
-	CommandWithResult(Statement, "drop table test_timeout");
-	Command("create table test_timeout(n numeric(18,0) primary key, t varchar(30))");
+	odbc_command_with_result(odbc_stmt, "drop table test_timeout");
+	odbc_command("create table test_timeout(n numeric(18,0) primary key, t varchar(30))");
 	AutoCommit(SQL_AUTOCOMMIT_OFF);
 
-	Command("insert into test_timeout(n, t) values(1, 'initial')");
+	odbc_command("insert into test_timeout(n, t) values(1, 'initial')");
 	EndTransaction(SQL_COMMIT);
 
-	Command("update test_timeout set t = 'second' where n = 1");
+	odbc_command("update test_timeout set t = 'second' where n = 1");
 
 	/* save this connection and do another */
-	env = Environment;
-	dbc = Connection;
-	stmt = Statement;
-	Environment = SQL_NULL_HENV;
-	Connection = SQL_NULL_HDBC;
-	Statement = SQL_NULL_HSTMT;
+	env = odbc_env;
+	dbc = odbc_conn;
+	stmt = odbc_stmt;
+	odbc_env = SQL_NULL_HENV;
+	odbc_conn = SQL_NULL_HDBC;
+	odbc_stmt = SQL_NULL_HSTMT;
 
-	Connect();
+	odbc_connect();
 
 	AutoCommit(SQL_AUTOCOMMIT_OFF);
 	CHKSetStmtAttr(SQL_ATTR_QUERY_TIMEOUT, (SQLPOINTER) 2, 0, "S");
@@ -59,23 +59,23 @@ main(int argc, char *argv[])
 	EndTransaction(SQL_ROLLBACK);
 
 	/* TODO should return error S1T00 Timeout expired, test error message */
-	Command2("update test_timeout set t = 'bad' where n = 1", "E");
+	odbc_command2("update test_timeout set t = 'bad' where n = 1", "E");
 
 	EndTransaction(SQL_ROLLBACK);
 
-	Disconnect();
+	odbc_disconnect();
 
-	Environment = env;
-	Connection = dbc;
-	Statement = stmt;
+	odbc_env = env;
+	odbc_conn = dbc;
+	odbc_stmt = stmt;
 
 	EndTransaction(SQL_COMMIT);
 
 	/* Sybase do not accept DROP TABLE during a transaction */
 	AutoCommit(SQL_AUTOCOMMIT_ON);
-	Command("drop table test_timeout");
+	odbc_command("drop table test_timeout");
 
-	Disconnect();
+	odbc_disconnect();
 
 	return 0;
 }
diff --git a/src/odbc/unittests/timeout2.c b/src/odbc/unittests/timeout2.c
index 13d751d..619ae31 100644
--- a/src/odbc/unittests/timeout2.c
+++ b/src/odbc/unittests/timeout2.c
@@ -14,7 +14,7 @@
  * Test from Ou Liu, cf "Query Time Out", 2006-08-08
  */
 
-static char software_version[] = "$Id: timeout2.c,v 1.8 2010/01/10 14:43:11 freddy77 Exp $";
+static char software_version[] = "$Id: timeout2.c,v 1.9 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #if defined(__MINGW32__) || defined(_WIN32)
@@ -26,10 +26,10 @@ main(int argc, char *argv[])
 {
 	int i;
 
-	Connect();
+	odbc_connect();
 
-	Command("create table #timeout(i int)");
-	Command("insert into #timeout values(1)");
+	odbc_command("create table #timeout(i int)");
+	odbc_command("insert into #timeout values(1)");
 
 	for (i = 0; i < 2; ++i) {
 
@@ -50,13 +50,13 @@ main(int argc, char *argv[])
 			sleep(15);
 		}
 
-		SQLFreeStmt(Statement, SQL_CLOSE);
-		SQLFreeStmt(Statement, SQL_UNBIND);
-		SQLFreeStmt(Statement, SQL_RESET_PARAMS);
-		SQLCloseCursor(Statement);
+		SQLFreeStmt(odbc_stmt, SQL_CLOSE);
+		SQLFreeStmt(odbc_stmt, SQL_UNBIND);
+		SQLFreeStmt(odbc_stmt, SQL_RESET_PARAMS);
+		SQLCloseCursor(odbc_stmt);
 	}
 
-	Disconnect();
+	odbc_disconnect();
 
 	return 0;
 }
diff --git a/src/odbc/unittests/timeout3.c b/src/odbc/unittests/timeout3.c
index 5f87079..25a3743 100644
--- a/src/odbc/unittests/timeout3.c
+++ b/src/odbc/unittests/timeout3.c
@@ -40,7 +40,7 @@
 	test connection timeout
 */
 
-static char software_version[] = "$Id: timeout3.c,v 1.11 2010/03/01 14:50:55 freddy77 Exp $";
+static char software_version[] = "$Id: timeout3.c,v 1.12 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void init_connect(void);
@@ -48,9 +48,9 @@ static void init_connect(void);
 static void
 init_connect(void)
 {
-	CHKAllocEnv(&Environment, "S");
-	SQLSetEnvAttr(Environment, SQL_ATTR_ODBC_VERSION, (SQLPOINTER) (SQL_OV_ODBC3), SQL_IS_UINTEGER);
-	CHKAllocConnect(&Connection, "S");
+	CHKAllocEnv(&odbc_env, "S");
+	SQLSetEnvAttr(odbc_env, SQL_ATTR_ODBC_VERSION, (SQLPOINTER) (SQL_OV_ODBC3), SQL_IS_UINTEGER);
+	CHKAllocConnect(&odbc_conn, "S");
 }
 
 static pthread_t      fake_thread;
@@ -125,7 +125,7 @@ main(int argc, char *argv[])
 	int port;
 	time_t start_time, end_time;
 
-	if (read_login_info())
+	if (odbc_read_login_info())
 		exit(1);
 
 	/*
@@ -133,11 +133,11 @@ main(int argc, char *argv[])
 	 * is better to do it before connect cause uniODBC cache INIs
 	 * the name must be odbcinst.ini cause unixODBC accept only this name
 	 */
-	if (DRIVER[0]) {
+	if (odbc_driver[0]) {
 		FILE *f = fopen("odbcinst.ini", "w");
 
 		if (f) {
-			fprintf(f, "[FreeTDS]\nDriver = %s\n", DRIVER);
+			fprintf(f, "[FreeTDS]\nDriver = %s\n", odbc_driver);
 			fclose(f);
 			/* force iODBC */
 			setenv("ODBCINSTINI", "./odbcinst.ini", 1);
@@ -169,8 +169,8 @@ main(int argc, char *argv[])
 
 	strcpy(sqlstate, "XXXXX");
 	tmp[0] = 0;
-	CHKGetDiagRec(SQL_HANDLE_DBC, Connection, 1, (SQLCHAR *) sqlstate, NULL, (SQLCHAR *) tmp, sizeof(tmp), NULL, "SI");
-	Disconnect();
+	CHKGetDiagRec(SQL_HANDLE_DBC, odbc_conn, 1, (SQLCHAR *) sqlstate, NULL, (SQLCHAR *) tmp, sizeof(tmp), NULL, "SI");
+	odbc_disconnect();
 	CLOSESOCKET(fake_sock);
 	pthread_join(fake_thread, NULL);
 
diff --git a/src/odbc/unittests/timeout4.c b/src/odbc/unittests/timeout4.c
index 2bafe7d..91cc272 100644
--- a/src/odbc/unittests/timeout4.c
+++ b/src/odbc/unittests/timeout4.c
@@ -39,7 +39,7 @@
  * prepare or execute a query. This should fail and return an error message.
  */
 
-static char software_version[] = "$Id: timeout4.c,v 1.5 2010/03/01 14:50:55 freddy77 Exp $";
+static char software_version[] = "$Id: timeout4.c,v 1.6 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #if HAVE_FSTAT && defined(S_IFSOCK)
@@ -83,7 +83,7 @@ Test(int direct)
 	char sqlstate[6];
 	time_t start_time, end_time;
 
-	Connect();
+	odbc_connect();
 
 	if (!shutdown_last_socket()) {
 		fprintf(stderr, "Error shutting down connection\n");
@@ -106,7 +106,7 @@ Test(int direct)
 	alarm(0);
 
 	strcpy(sqlstate, "XXXXX");
-	CHKGetDiagRec(SQL_HANDLE_STMT, Statement, 1, (SQLCHAR *) sqlstate, NULL, (SQLCHAR *) buf, sizeof(buf), NULL, "SI");
+	CHKGetDiagRec(SQL_HANDLE_STMT, odbc_stmt, 1, (SQLCHAR *) sqlstate, NULL, (SQLCHAR *) buf, sizeof(buf), NULL, "SI");
 	sqlstate[5] = 0;
 	printf("Message: %s - %s\n", sqlstate, buf);
 	if (strcmp(sqlstate, "HYT00") || !strstr(buf, "Timeout")) {
@@ -118,7 +118,7 @@ Test(int direct)
 		return 1;
 	}
 
-	Disconnect();
+	odbc_disconnect();
 
 	if (end_socket >= 0)
 		close(end_socket);
@@ -130,7 +130,7 @@ Test(int direct)
 int
 main(void)
 {
-	use_odbc_version3 = 1;
+	odbc_use_version3 = 1;
 
 	if (Test(0) || Test(1))
 		return 1;
diff --git a/src/odbc/unittests/transaction.c b/src/odbc/unittests/transaction.c
index 54c4558..f15e57f 100644
--- a/src/odbc/unittests/transaction.c
+++ b/src/odbc/unittests/transaction.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: transaction.c,v 1.16 2008/12/03 12:55:52 freddy77 Exp $";
+static char software_version[] = "$Id: transaction.c,v 1.17 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static int
@@ -24,44 +24,44 @@ Test(int discard_test)
 		"INSERT INTO TestTransaction VALUES ( @value )\n%s", discard_test ? "SELECT * FROM TestTransaction\n" : "");
 
 	/* create stored proc */
-	CommandWithResult(Statement, "DROP PROCEDURE testinsert");
+	odbc_command_with_result(odbc_stmt, "DROP PROCEDURE testinsert");
 
-	Command(createProcedure);
+	odbc_command(createProcedure);
 
 	/* create stored proc that generates an error */
-	CommandWithResult(Statement, "DROP PROCEDURE testerror");
+	odbc_command_with_result(odbc_stmt, "DROP PROCEDURE testerror");
 
-	Command(createErrorProcedure);
+	odbc_command(createErrorProcedure);
 
 	/* Start transaction */
 	CHKSetConnectAttr(SQL_ATTR_AUTOCOMMIT, (void *) SQL_AUTOCOMMIT_OFF, 0, "S");
 
 	/* Insert a value */
-	Command("EXEC testinsert 1");
+	odbc_command("EXEC testinsert 1");
 
 	/* we should be able to read row count */
 	CHKRowCount(&rows, "S");
 
 	/* Commit transaction */
-	CHKEndTran(SQL_HANDLE_DBC, Connection, SQL_COMMIT, "S");
+	CHKEndTran(SQL_HANDLE_DBC, odbc_conn, SQL_COMMIT, "S");
 
-	SQLCloseCursor(Statement);
+	SQLCloseCursor(odbc_stmt);
 
 	/* Start transaction */
 	CHKSetConnectAttr(SQL_ATTR_AUTOCOMMIT, (void *) SQL_AUTOCOMMIT_OFF, 0, "S");
 
 	/* Insert another value */
-	Command("EXEC testinsert 2");
+	odbc_command("EXEC testinsert 2");
 
 	/* Roll back transaction */
-	CHKEndTran(SQL_HANDLE_DBC, Connection, SQL_ROLLBACK, "S");
+	CHKEndTran(SQL_HANDLE_DBC, odbc_conn, SQL_ROLLBACK, "S");
 
 	/* TODO test row inserted */
 
 	CHKSetConnectAttr(SQL_ATTR_AUTOCOMMIT, (void *) SQL_AUTOCOMMIT_ON, 0, "S");
 
 	/* generate an error */
-	Command("EXEC testerror");
+	odbc_command("EXEC testerror");
 	CHKBindCol(1, SQL_C_SLONG, &out_buf, sizeof(out_buf), &out_len, "S");
 
 	while (CHKFetch("SNo") == SQL_SUCCESS) {
@@ -75,15 +75,15 @@ Test(int discard_test)
 
 	CHKMoreResults("E");
 
-	CHKGetDiagRec(SQL_HANDLE_STMT, Statement, 1, sqlstate, NULL, (SQLCHAR *)buf, sizeof(buf), NULL, "SI");
+	CHKGetDiagRec(SQL_HANDLE_STMT, odbc_stmt, 1, sqlstate, NULL, (SQLCHAR *)buf, sizeof(buf), NULL, "SI");
 	printf("err=%s\n", buf);
 
 	CHKMoreResults("No");
 
       cleanup:
 	/* drop table */
-	CommandWithResult(Statement, "DROP PROCEDURE testinsert");
-	CommandWithResult(Statement, "DROP PROCEDURE testerror");
+	odbc_command_with_result(odbc_stmt, "DROP PROCEDURE testinsert");
+	odbc_command_with_result(odbc_stmt, "DROP PROCEDURE testerror");
 
 	return retcode;
 }
@@ -93,11 +93,11 @@ main(int argc, char *argv[])
 {
 	int retcode = 0;
 
-	Connect();
+	odbc_connect();
 
 	/* create table */
-	CommandWithResult(Statement, "DROP TABLE TestTransaction");
-	Command("CREATE TABLE TestTransaction ( value INT )");
+	odbc_command_with_result(odbc_stmt, "DROP TABLE TestTransaction");
+	odbc_command("CREATE TABLE TestTransaction ( value INT )");
 
 	if (!retcode)
 		retcode = Test(1);
@@ -105,9 +105,9 @@ main(int argc, char *argv[])
 		retcode = Test(0);
 
 	/* drop table */
-	CommandWithResult(Statement, "DROP TABLE TestTransaction");
+	odbc_command_with_result(odbc_stmt, "DROP TABLE TestTransaction");
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return retcode;
